Subject: [bug#58123] [PATCH] gnu: services: docker: Add docker-container-service-type

From: Mája Tomášek <[email-masked]>
Date: Tue, 11 Oct 2022 20:04:35 +0200

Hi Ludo',

>> I have applied the changes as you suggested. Thank you for your (as you
>> said) "superficial comments", they were really helpful! And I am happy
>> that you made them, as I'm sometimes too happy that I have made a
>> contribution and I forget that I don't write only for myself, but for
>> others.
>
> Thanks for the nice and useful service!
>
> It looks pretty good already (in part thanks to Maxime’s guidance :-)).
> I would have two more asks:
>
>   1. Could you update doc/guix.texi to document the new service?  You
>      can mostly use ‘generate-documentation’ to produce the reference of
>      the configuration record, and then add a paragraph giving some
>      context and a documented example.

Is that a command from make? I'm sorry I have never used it, I can
update it if I can generate it :)

>   2. Could you add a test under (gnu tests *)?  That would ensure the
>      service does not bitrot going forward.

I'm not exactly sure what would that mean. Test that creates a container
and then runs it or...?

> Let us know if you need guidance on these things.  When you’re done,
> please send an updated patch with those changes here.

Will do!

Maya